package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.WXOrgSectorMapper;
import com.sa.ibiz.demo.demo.domain.WXOrgSector;
import com.sa.ibiz.demo.demo.service.WXOrgSectorService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.WXOrgSectorSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;

import com.sa.ibiz.demo.demo.service.OrgSectorService;
import com.sa.ibiz.demo.demo.service.WXAccountService;

/**
 * 实体[WXOrgSector] 服务对象接口实现
 */
@Service
public class WXOrgSectorServiceImpl extends ServiceImplBase<WXOrgSectorMapper, WXOrgSector> implements WXOrgSectorService{

    @Autowired
    private OrgSectorService orgsectorService;
    @Autowired
    private WXAccountService wxaccountService;

    @Resource
    private WXOrgSectorMapper wxorgsectorMapper;


    @Override
    public boolean create(WXOrgSector et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(WXOrgSector et){
        this.beforeUpdate(et);
		this.wxorgsectorMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(WXOrgSector et){
		return et.getWxorgsectorid();  
    }

    @Override
    public boolean getDraft(WXOrgSector et)  {
    if((!StringUtils.isEmpty(et.getOrgsectorid())) && et.getOrgsector() == null){
            try {
                et.setOrgsector(orgsectorService.getById(et.getOrgsectorid()));
            }catch (Exception ex){}
        }
    if((!StringUtils.isEmpty(et.getWxaccountid())) && et.getWxaccount() == null){
            try {
                et.setWxaccount(wxaccountService.getById(et.getWxaccountid()));
            }catch (Exception ex){}
        }
            return true;
    }

	public List<WXOrgSector> listDefault(WXOrgSectorSearchFilter filter) {
		return wxorgsectorMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<WXOrgSector> searchDefault(WXOrgSectorSearchFilter filter) {
		return wxorgsectorMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return wxorgsectorMapper.selectRow(sql);
    }

 }